knrt.net
当前位置:首页 >> EClipsE创建mAvEn项目报错!帮忙解决! >>

EClipsE创建mAvEn项目报错!帮忙解决!

原因就是 eclipse 内置的 maven 有个bug 无法用eclipse 的网络设置,所以无法使用代理。 解决办法,就是把自己安装一个maven ,在 conf/settings.xml 中设置代理信息。 然后让 eclipse 采用我们新安装的 maven 的设置,尤其是代理设置。 进入ecl...

window--preferences--maven--user setting设置了么?

原因是Eclipse默认配置内存太小需要更改Eclipse安装文件夹下的eclipse.ini文件。 Eclipse.ini默认文件如下: -startupplugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar--launcher.libraryplugins/org.eclipse.equinox.launcher.w...

这个报错是说你的org.apache.maven.archetypes:maven-archetype-webapp:RELEASE不存在,这个实际是你创建maven project的时候下载maven-archetype-webapp文件夹中的文件失败,你可以从eclipse中-->window-->Preferences-->Maven-->User Settings...

是下载仓库源的问题,使用外国的会很慢,建议换成国内的 maven安装目录下conf文件夹settings.xml 把镜像源改为阿里云的,下载jar包飞快~! alimaven central aliyun maven http://maven.aliyun.com/nexus/content/groups/public/ 完了重启eclips...

在eclipse的安装目录下找到eclipse.ini 在这个文件里配置加大eclipse的占用内存 你遇到的错误应该是内存不够.

解决方法: 通过将 .m2\repository\org\apache\maven\plugins 文件夹下的文件夹全部删除就可以了(这些文件夹格式都是*-plugin或*-plugins) 删除后重启eclipse,然后强制update

楼主怎么解决的可以说一下么,在线等QAQ

原因就是 eclipse 内置的 maven 有个bug 无法用eclipse 的网络设置,所以无法使用代理。 解决办法,就是把自己安装一个maven ,在 conf/settings.xml 中设置代理信息。 然后让 eclipse 采用我们新安装的 maven 的设置,尤其是代理设置。 进入ecl...

建议你试试我经常用的命令: 1.创建项目:mvn archetype:create -DgroupId=com.test.demo -DartifactId=nltc -DarchetypeArtifactId=maven-archetype-webapp 2.mvn eclipse:eclipse -Dwtpversion=2.0

网站首页 | 网站地图
All rights reserved Powered by www.knrt.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com